Bug 1493816 - Stores period for ssh_password even though store SSH password is disabled
Summary: Stores period for ssh_password even though store SSH password is disabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 01:12 UTC by Christopher Archer
Modified: 2018-01-13 23:05 UTC (History)
2 users (show)

Fixed In Version: remmina-1.2.0-0.43.20171220git08f5b4b.fc27 remmina-1.2.0-0.43.20171220git08f5b4b.fc26 remmina-1.2.0-0.44.rcgit.26.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-08 01:37:32 UTC


Attachments (Terms of Use)

Description Christopher Archer 2017-09-21 01:12:06 UTC
Description of problem:
I use remmina with a YubiKey. From the UI, 'Disable password storing' is checked.
However, periodically remmina will update the config file in ~/.local/share/remmina to put a period (.) as the ssh_password. If I don't clear that, I'm unable to login next time I use remmina as it tries to use the (incorrect) period.

Version-Release number of selected component (if applicable):
1.2.0-0.39.20170724git0387ee0.fc26

How reproducible:
Always
Steps to Reproduce:
1. Configure connection to disable password storing
2. Connect using Yubikey, and enter password manually
3. Observe that eventually the remmina config. file in ~/.local/share/remmina has ssh_password set to .

Actual results:
ssh_password set to .

Expected results:
ssh_password remains empty

Additional info:

Comment 1 Christopher Archer 2017-11-21 16:44:20 UTC
Any additional information needed?
This really adds an unnecessary headache to using remmina.
It's still 100% reproducible even after latest kernel updates, restarts, etc.

Comment 2 Fedora Update System 2017-12-20 14:32:49 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26 remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e2917f50e

Comment 3 Fedora Update System 2017-12-20 14:33:31 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27 remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-504f06e50b

Comment 4 Fedora Update System 2017-12-21 20:26:26 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27, remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-504f06e50b

Comment 5 Fedora Update System 2017-12-21 21:11:19 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26, remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e2917f50e

Comment 6 Fedora Update System 2018-01-04 23:33:00 UTC
remmina-1.2.0-0.44.rcgit.26.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-915a911681

Comment 7 Fedora Update System 2018-01-05 11:37:52 UTC
remmina-1.2.0-0.44.rcgit.26.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-915a911681

Comment 8 Fedora Update System 2018-01-08 01:37:32 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27, remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-01-09 16:48:32 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26, remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-01-13 23:05:00 UTC
remmina-1.2.0-0.44.rcgit.26.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.